Skip to main content
`Ctrl`+`K`

# PCPatchConstructType

Determines the algorithm used to construct patches for the `PCPATCH` preconditioner

## Synopsis

    typedef enum {
      PC_PATCH_STAR,
      PC_PATCH_VANKA,
      PC_PATCH_PARDECOMP,
      PC_PATCH_USER,
      PC_PATCH_PYTHON
    } PCPatchConstructType;

## See Also

Preconditioners, `PCPatchSetConstructType()`, `PCPATCH`, `PC`

## Level

beginner

## Location

include/petscpctypes.h

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages